Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Using the default rvmrc provided by rvm, and bumping to 1.9.3 as the …

…desired ruby env.
  • Loading branch information...
commit 13114fb88178c9532286d07dc63cf8c5436b2f88 1 parent 972ed51
authored

Showing 1 changed file with 48 additions and 1 deletion. Show diff stats Hide diff stats

  1. 49  .rvmrc
49  .rvmrc
... ...
@@ -1 +1,48 @@
1  
-rvm use 1.9.2@configatron --create
  1
+#!/usr/bin/env bash
  2
+
  3
+# This is an RVM Project .rvmrc file, used to automatically load the ruby
  4
+# development environment upon cd'ing into the directory
  5
+
  6
+# First we specify our desired <ruby>[@<gemset>], the @gemset name is optional,
  7
+# Only full ruby name is supported here, for short names use:
  8
+#     echo "rvm use 1.9.3" > .rvmrc
  9
+environment_id="ruby-1.9.3-p0@configatron"
  10
+
  11
+# Uncomment the following lines if you want to verify rvm version per project
  12
+rvmrc_rvm_version="1.10.3" # 1.10.1 seams as a safe start
  13
+eval "$(echo ${rvm_version}.${rvmrc_rvm_version} | awk -F. '{print "[[ "$1*65536+$2*256+$3" -ge "$4*65536+$5*256+$6" ]]"}' )" || {
  14
+  echo "This .rvmrc file requires at least RVM ${rvmrc_rvm_version}, aborting loading."
  15
+  return 1
  16
+}
  17
+
  18
+# First we attempt to load the desired environment directly from the environment
  19
+# file. This is very fast and efficient compared to running through the entire
  20
+# CLI and selector. If you want feedback on which environment was used then
  21
+# insert the word 'use' after --create as this triggers verbose mode.
  22
+if [[ -d "${rvm_path:-$HOME/.rvm}/environments"
  23
+  && -s "${rvm_path:-$HOME/.rvm}/environments/$environment_id" ]]
  24
+then
  25
+  \. "${rvm_path:-$HOME/.rvm}/environments/$environment_id"
  26
+  [[ -s "${rvm_path:-$HOME/.rvm}/hooks/after_use" ]] &&
  27
+    \. "${rvm_path:-$HOME/.rvm}/hooks/after_use" || true
  28
+else
  29
+  # If the environment file has not yet been created, use the RVM CLI to select.
  30
+  rvm --create  "$environment_id" || {
  31
+    echo "Failed to create RVM environment '${environment_id}'."
  32
+    return 1
  33
+  }
  34
+fi
  35
+
  36
+# If you use bundler, this might be useful to you:
  37
+if [[ -s Gemfile ]] && {
  38
+  ! builtin command -v bundle >/dev/null ||
  39
+  builtin command -v bundle | grep $rvm_path/bin/bundle >/dev/null
  40
+}
  41
+then
  42
+  printf "%b" "The rubygem 'bundler' is not installed. Installing it now.\n"
  43
+  gem install bundler
  44
+fi
  45
+if [[ -s Gemfile ]] && builtin command -v bundle >/dev/null
  46
+then
  47
+  bundle install | grep -vE '^Using|Your bundle is complete'
  48
+fi

0 notes on commit 13114fb

Please sign in to comment.
Something went wrong with that request. Please try again.